import {
  applyCommandDescription,
  applyOptionDescription
} from '@nexumi/shared';
import { SlashCommandBuilder } from 'discord.js';

export const privacyCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('privacy'),
  'gdpr.privacy.description'
);

export const gdprCommandData = applyCommandDescription(
  new SlashCommandBuilder().setName('gdpr'),
  'gdpr.command.description'
).addSubcommand((sub) =>
  applyCommandDescription(sub.setName('delete'), 'gdpr.delete.description').addBooleanOption((option) =>
    applyOptionDescription(
      option.setName('confirm').setRequired(true),
      'gdpr.delete.options.confirm'
    )
  )
);
